Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.admin
Interface PortalAdminConstants

All Known Implementing Classes:
  PortalAdminHelper, PortalJspBase, PortalServiceManager

public interface PortalAdminConstants

Prescribes constants used for portal run-time and tools administration purposes.

Field Summary
`static java.lang.String` | `DEFAULT_DESTINATION` The property denoting the default destination used after form submission for a portal instance.
`static java.lang.String` | `DESTINATION_URI` The property denoting the destination uri afer a form submission.
`static java.lang.Boolean` | `FALSE` False.
`static java.lang.String` | `IMMUTABLE_PORTAL_PAGE` The property denoting the unchnanging portal base page associated with a portal.
`static java.lang.String` | `PORTAL_COOKIE_TIMEOUT` The property denoting the portal cookie timeout associated with a portal.
`static java.lang.String` | `PORTAL_GROUP` The property denoting the portal group name associated with a portal session.
`static java.lang.String` | `PORTAL_LOGGED_IN` The property denoting whether a user is currently logged into the portal.
`static java.lang.String` | `PORTAL_MANAGER_A` The property denoting the `com.beasys.portal.ejb.PortalManager` associated with a session.
`static java.lang.String` | `PORTAL_NAME` The property denoting the portal name associated with a portal session.
`static java.lang.String` | `PORTAL_PAGE` The property denoting the home portal page associated with a portal.
`static java.lang.String` | `PORTAL_PROPERTIES_A` The property denoting the `com.beasys.portal.PortalProperties` associated with a session.
`static java.lang.String` | `PORTAL_SESSION_TIMEOUT` The property denoting the portal session timeout period.
`static java.lang.String` | `PORTAL_USER` The property denoting the portal user name associated with a portal session.
`static java.lang.String` | `PROFILE_GROUP` The property denoting the key into the user profile table for a portal group.
`static java.lang.String` | `PROFILE_USER` The property denoting the key into the user profile table for a portal user.
`static java.lang.String` | `TRAFFIC_URI` The property denoting the URI of the `PortalServiceManager`.
`static java.lang.String` | `TRANSACTION_SERVICE` The user transaction service employed at portal run-time and during portal administration.
`static int` | `TRANSACTION_TIMEOUT` The property denoting the default transaction timeout period, in milliseconds.
`static java.lang.Boolean` | `TRUE` True.
`static java.lang.String` | `WORKING_DIR` The property denoting the working directory of a portal instance.

Field Detail

### DESTINATION_URI

    public static final java.lang.String DESTINATION_URI

  The property denoting the destination uri afer a form submission.

### TRAFFIC_URI

    public static final java.lang.String TRAFFIC_URI

  The property denoting the URI of the `PortalServiceManager`.

### WORKING_DIR

    public static final java.lang.String WORKING_DIR

  The property denoting the working directory of a portal instance.

### DEFAULT_DESTINATION

    public static final java.lang.String DEFAULT_DESTINATION

  The property denoting the default destination used after form submission for a portal instance.

### PORTAL_SESSION_TIMEOUT

    public static final java.lang.String PORTAL_SESSION_TIMEOUT

  The property denoting the portal session timeout period.

### PORTAL_MANAGER_A

    public static final java.lang.String PORTAL_MANAGER_A

  The property denoting the `com.beasys.portal.ejb.PortalManager` associated with a session.

### PORTAL_PROPERTIES_A

    public static final java.lang.String PORTAL_PROPERTIES_A

  The property denoting the `com.beasys.portal.PortalProperties` associated with a session.

### PORTAL_NAME

    public static final java.lang.String PORTAL_NAME

  The property denoting the portal name associated with a portal session.

### PORTAL_GROUP

    public static final java.lang.String PORTAL_GROUP

  The property denoting the portal group name associated with a portal session.

### PORTAL_USER

    public static final java.lang.String PORTAL_USER

  The property denoting the portal user name associated with a portal session.

### PORTAL_COOKIE_TIMEOUT

    public static final java.lang.String PORTAL_COOKIE_TIMEOUT

  The property denoting the portal cookie timeout associated with a portal.

### PORTAL_PAGE

    public static final java.lang.String PORTAL_PAGE

  The property denoting the home portal page associated with a portal.

### IMMUTABLE_PORTAL_PAGE

    public static final java.lang.String IMMUTABLE_PORTAL_PAGE

  The property denoting the unchnanging portal base page associated with a portal.

### PROFILE_USER

    public static final java.lang.String PROFILE_USER

  The property denoting the key into the user profile table for a portal user.

### PROFILE_GROUP

    public static final java.lang.String PROFILE_GROUP

  The property denoting the key into the user profile table for a portal group.

### PORTAL_LOGGED_IN

    public static final java.lang.String PORTAL_LOGGED_IN

  The property denoting whether a user is currently logged into the portal.

### TRUE

    public static final java.lang.Boolean TRUE

  True.

### FALSE

    public static final java.lang.Boolean FALSE

  False.

### TRANSACTION_SERVICE

    public static final java.lang.String TRANSACTION_SERVICE

  The user transaction service employed at portal run-time and during portal administration.

### TRANSACTION_TIMEOUT

    public static final int TRANSACTION_TIMEOUT

  The property denoting the default transaction timeout period, in milliseconds.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved